Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.data.redis.connection
Class RedisSubscribedConnectionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.dao.DataAccessException
                          org.springframework.dao.NonTransientDataAccessException
                              org.springframework.dao.InvalidDataAccessApiUsageException
                                  org.springframework.data.redis.connection.RedisSubscribedConnectionException

All Implemented Interfaces:
  Serializable

    public class RedisSubscribedConnectionException

extends InvalidDataAccessApiUsageException

Exception thrown when issuing commands on a connection that is subscribed and waiting for events.

See Also:
  `RedisPubSubCommands`, Serialized Form

Constructor Summary
`RedisSubscribedConnectionException(String msg)` Constructs a new `RedisSubscribedConnectionException` instance.
`RedisSubscribedConnectionException(String msg, Throwable cause)` Constructs a new `RedisSubscribedConnectionException` instance.

Method Summary

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RedisSubscribedConnectionException

    public RedisSubscribedConnectionException(String msg,
                                              Throwable cause)

  Constructs a new `RedisSubscribedConnectionException` instance.

  Parameters:
    `msg` -
    `cause` -

### RedisSubscribedConnectionException

    public RedisSubscribedConnectionException(String msg)

  Constructs a new `RedisSubscribedConnectionException` instance.

  Parameters:
    `msg` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD